/**
* This function (!TODO description).
* @param {number} input any number
* @returns {number} that number, plus one.
*/
var componentTabs = {
	init: function() {
		// ! add class to individual tabs
		$('.particle-tabs > div').each(function() {
			var id = $(this).attr('id');
			// ! the class will be the id
			$(this).addClass('particle-item--' + id);
		});
		$('.particle-tabs > nav a[data-tab-id]').click(function(e) {
			e.preventDefault();
			var tabId = $(this).data('tabId'),
				tabContainer = $(this).parents('.particle-tabs');
			// ! hide individual tabs if but active id
			tabContainer.find('> div').not('#' + tabId).addClass('hide');
			tabContainer.find('#' + tabId).removeClass('hide');
			// ! add active class to navigation link
			tabContainer.find('[data-tab-id]').removeClass('active');
			$(this).addClass('active');
		});
		// ! run the click function to show 'active' tab
		$('.particle-tabs .active').click();
	}
};
componentTabs.init();





/**
 * This function adds one to its input.
 * @param {number} input any number
 * @returns {number} that number, plus one.
 */
var mobileMenu = {
	init: function() {
		$("#mobileMenu").click(function(){
			$(".mobile-navigation").toggle();
		})
	}
};
mobileMenu.init();
